# qDecoder API Reference

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
qentry_s Struct Reference

## Data Fields

bool(* | put )(qentry_t *entry, const char *name, const void *data, size_t size, bool replace)
bool(* | putstr )(qentry_t *entry, const char *name, const char *str, bool replace)
bool(* | putstrf )(qentry_t *entry, bool replace, const char *name, const char *format,...)
bool(* | putint )(qentry_t *entry, const char *name, int num, bool replace)
void *(* | get )(qentry_t *entry, const char *name, size_t *size, bool newmem)
void *(* | getlast )(qentry_t *entry, const char *name, size_t *size, bool newmem)
char *(* | getstr )(qentry_t *entry, const char *name, bool newmem)
char *(* | getstrf )(qentry_t *entry, bool newmem, const char *namefmt,...)
char *(* | getstrlast )(qentry_t *entry, const char *name, bool newmem)
int(* | getint )(qentry_t *entry, const char *name)
int(* | getintlast )(qentry_t *entry, const char *name)
void *(* | caseget )(qentry_t *entry, const char *name, size_t *size, bool newmem)
char *(* | casegetstr )(qentry_t *entry, const char *name, bool newmem)
int(* | casegetint )(qentry_t *entry, const char *name)
bool(* | getnext )(qentry_t *entry, qentobj_t *obj, const char *name, bool newmem)
int(* | size )(qentry_t *entry)
int(* | remove )(qentry_t *entry, const char *name)
bool(* | truncate )(qentry_t *entry)
bool(* | reverse )(qentry_t *entry)
bool(* | save )(qentry_t *entry, const char *filepath)
int(* | load )(qentry_t *entry, const char *filepath)
bool(* | print )(qentry_t *entry, FILE *out, bool print_data)
bool(* | free )(qentry_t *entry)
int | num
qentobj_t * | first
qentobj_t * | last

## Field Documentation

int qentry_s::num

number of objects

qentobj_t* qentry_s::first

first object pointer

qentobj_t* qentry_s::last

last object pointer

The documentation for this struct was generated from the following file:

- qdecoder.h